/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Resource Profile Endpoints summary.
 */
export interface ResourceProfileEndpointSummary {
    /**
     * Unique identifier for sighting endpoints
     */
    "id": string;
    /**
     * Resource profile Id associated with the imacted resource
     */
    "resourceProfileId": string;
    /**
     * Problem Id for sighting endpoints
     */
    "problemId"?: string;
    /**
     * Identifier for the sighting type
     */
    "sightingType": string;
    /**
     * Name of the sighting type
     */
    "sightingTypeDisplayName": string;
    /**
     * IP Address
     */
    "ipAddress": string;
    /**
     * IP Address type
     */
    "ipAddressType": string;
    /**
     * IP Address classification type
     */
    "ipClassificationType"?: string;
    /**
     * Country
     */
    "country"?: string;
    /**
     * Latitude Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "latitude"?: number;
    /**
     * Longitude Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "longitude"?: number;
    /**
     * ASN number
     */
    "asnNumber"?: string;
    /**
     * Regions where activities were performed from this IP
     */
    "regions"?: Array<string>;
    /**
     * Services where activities were performed from this IP
     */
    "services"?: Array<string>;
    /**
     * Time when activities were created
     */
    "timeLastDetected": Date;
}
export declare namespace ResourceProfileEndpointSummary {
    function getJsonObj(obj: ResourceProfileEndpointSummary): object;
    function getDeserializedJsonObj(obj: ResourceProfileEndpointSummary): object;
}
