/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of the inventory count and the metrics that describe the aggregated usage of CPU, storage, and so on of all the HeatWave clusters in the fleet.
 */
export interface HeatWaveFleetSummary {
    /**
     * The usage metrics for the Managed HeatWave clusters in the fleet.
     */
    "aggregatedMetrics": Array<model.HeatWaveFleetMetricSummaryDefinition>;
    /**
     * Summary counts of HeatWave clusters in the fleet grouped by cluster type.
     */
    "inventory": Array<model.HeatWaveFleetByCategory>;
}
export declare namespace HeatWaveFleetSummary {
    function getJsonObj(obj: HeatWaveFleetSummary): object;
    function getDeserializedJsonObj(obj: HeatWaveFleetSummary): object;
}
